
Foreman - Feature #3737

Add localboot template for PXEGrub

11/23/2013 01:28 PM - Povilas Daukintis

Status: Closed   

Priority: Normal   

Assignee: Povilas Daukintis   

Category: TFTP   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently after successful bootstrap, node' PXE config is generated from localboot template, but using grub and PXEGrub templates

this fails, because node config is always generated from same template 'PXE Localboot config', which is PXELinux specific

configuration and is not suited for grub.

I made small changes in Foreman' codebase to conditionally generate node' PXE config from different localboot templates (will

submit PR soon).

Associated revisions

Revision 554ced50 - 11/25/2013 11:30 AM - Povilas Daukintis 

fixes #3737 - added PXEGrub specific PXE localboot template

History

#1 - 11/23/2013 01:55 PM - Povilas Daukintis

PR: https://github.com/theforeman/foreman/pull/1051

#2 - 11/25/2013 08:55 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

#3 - 11/25/2013 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 554ced50f1c28f1c3734817ad08b7f7032caed54.
